# OpalPluginCodecManager Class Reference

`#include <opalpluginmgr.h>`

## Public Member Functions

| OpalPluginCodecManager (PPluginManager *pluginMgr=NULL)
| ~OpalPluginCodecManager ()
| PFACTORY_GET_SINGLETON (PFactory< PPluginModuleManager >, OpalPluginCodecManager)
void | RegisterStaticCodec (const H323StaticPluginCodecFactory::Key_T &name, PluginCodec_GetAPIVersionFunction getApiVerFn, PluginCodec_GetCodecFunction getCodecFn)
void | OnLoadPlugin (PDynaLink &dll, INT code)
virtual void | OnShutdown ()
H323Capability * | CreateCapability (const PString &_mediaFormat, const PString &_baseName, unsigned maxFramesPerPacket, unsigned recommendedFramesPerPacket, unsigned _pluginSubType)

## Protected Member Functions

void | RegisterCodecPlugins (unsigned int count, const PluginCodec_Definition *codecList, OpalPluginCodecHandler *handler)
void | UnregisterCodecPlugins (unsigned int count, const PluginCodec_Definition *codecList, OpalPluginCodecHandler *handler)
bool | AddMediaFormat (OpalPluginCodecHandler *handler, const PTime &timeNow, const PluginCodec_Definition *codecDefn, const char *fmtName)
void | RegisterCapability (const PluginCodec_Definition *codecDefn)

## Protected Attributes

PList< OpalMediaFormat > | mediaFormatsOnHeap

## Constructor & Destructor Documentation

OpalPluginCodecManager::OpalPluginCodecManager | ( | PPluginManager * | pluginMgr = `NULL` | ) |

OpalPluginCodecManager::~OpalPluginCodecManager | ( |  | ) |

## Member Function Documentation

bool OpalPluginCodecManager::AddMediaFormat | ( | OpalPluginCodecHandler * | handler,
|  | const PTime & | timeNow,
|  | const PluginCodec_Definition * | codecDefn,
|  | const char * | fmtName |
| ) |  |  | `[protected]`

H323Capability* OpalPluginCodecManager::CreateCapability | ( | const PString & | _mediaFormat,
|  | const PString & | _baseName,
|  | unsigned | maxFramesPerPacket,
|  | unsigned | recommendedFramesPerPacket,
|  | unsigned | _pluginSubType |
| ) |  |  |

void OpalPluginCodecManager::OnLoadPlugin | ( | PDynaLink & | dll,
|  | INT | code |
| ) |  |  |

virtual void OpalPluginCodecManager::OnShutdown | ( |  | ) | `[virtual]`

OpalPluginCodecManager::PFACTORY_GET_SINGLETON | ( | PFactory< PPluginModuleManager > | ,
|  | OpalPluginCodecManager |  |
| ) |  |  |

void OpalPluginCodecManager::RegisterCapability | ( | const PluginCodec_Definition * | codecDefn | ) | `[protected]`

void OpalPluginCodecManager::RegisterCodecPlugins | ( | unsigned int | count,
|  | const PluginCodec_Definition * | codecList,
|  | OpalPluginCodecHandler * | handler |
| ) |  |  | `[protected]`

void OpalPluginCodecManager::RegisterStaticCodec | ( | const H323StaticPluginCodecFactory::Key_T & | name,
|  | PluginCodec_GetAPIVersionFunction | getApiVerFn,
|  | PluginCodec_GetCodecFunction | getCodecFn |
| ) |  |  |

void OpalPluginCodecManager::UnregisterCodecPlugins | ( | unsigned int | count,
|  | const PluginCodec_Definition * | codecList,
|  | OpalPluginCodecHandler * | handler |
| ) |  |  | `[protected]`

## Field Documentation

PList<OpalMediaFormat> OpalPluginCodecManager::mediaFormatsOnHeap `[protected]`

The documentation for this class was generated from the following file:

- opalpluginmgr.h